From 130892141f196b2adfa74227216a6cb47afe6a76 Mon Sep 17 00:00:00 2001
From: Renatafsouza <renata.rfsouza@gmail.com>
Date: Jun 21 2018 00:49:55 +0000
Subject: [PATCH 30/42] [Clean Code] Changing magic numbers


---

diff --git a/src/components/shared/DefaultTable.vue b/src/components/shared/DefaultTable.vue
index d454b02..229832f 100644
--- a/src/components/shared/DefaultTable.vue
+++ b/src/components/shared/DefaultTable.vue
@@ -35,20 +35,22 @@
 </template>
 <script>
 
+import * as packagePage from './packagePage.js'
+
 export default {
   data () {
     return {
-      currentPage: 1,
+      currentPage: packagePage.INITIAL_PAGE,
       perPage: 10,
       pageOptions: [{
-        text: 5,
-        value: 5
+        text: packagePage.SHOW_FIVE_ITEMS,
+        value: packagePage.SHOW_FIVE_ITEMS
       }, {
-        text: 10,
-        value: 10
+        text: packagePage.SHOW_TEN_ITEMS,
+        value: packagePage.SHOW_TEN_ITEMS
       }, {
-        text: 15,
-        value: 15
+        text: packagePage.SHOW_FIFTEEN_ITEMS,
+        value: packagePage.SHOW_FIFTEEN_ITEMS
       }],
       sortBy: null,
       sortDesc: false,
diff --git a/src/components/shared/packagePage.js b/src/components/shared/packagePage.js
new file mode 100644
index 0000000..a6d9e23
--- /dev/null
+++ b/src/components/shared/packagePage.js
@@ -0,0 +1,7 @@
+export const INITIAL_PAGE = 1,
+
+export const SHOW_FIVE_ITEMS = 5,
+
+export const SHOW_TEN_ITEMS = 10,
+
+export const SHOW_FIFTEEN_ITEMS = 15

